Windows Server 2008

.NET Framework v3.5 SP1 (Beta Installation) on Windows Server 2008

I am looking to run Systems Center Operations Manager 2007 to have a play with and thought I’d set myself a challenge of getting it up and running on a SQL 2008/2008 Server platform.

Obviously one of the pre-requites of Systems Center Operations Manager 2007 is SQL so I am using SQL 2008. This post will look at the installation of SQL 2008 onto a Windows 2008 Server platform

So I’ve downloaded Microsoft SQL Server 2008 RC0 from Microsoft. I pop the DVD in and here’s what I get:

Screenshot - 25_06_2008 , 21_22_39

It is telling me that I need .NET Framework. If you click on OK it proceeds to download and install .NET v3.5 SP1 Framework for you automatically

Screenshot - 25_06_2008 , 21_23_12 Screenshot - 25_06_2008 , 21_24_10  Screenshot - 25_06_2008 , 21_25_54  Screenshot - 25_06_2008 , 21_28_37 Screenshot - 25_06_2008 , 21_49_07

Oh hello! What’s this error? Closer look at the log files shows us this:

 

Description:

Microsoft .NET Framework 3.5 SP1 (Beta) has encountered a problem during setup. Setup did not complete correctly.

Problem signature:

Problem Event Name: VisualStudio8Setup

Problem Signature 01: 14001

Problem Signature 02: 3.5.30428.01_ORCAS_X86_NET

Problem Signature 03: CBS

Problem Signature 04: INST

Problem Signature 05: F

Problem Signature 06: gencomp751,{61040379-156d-4ece-b126-ea395a3b2

Problem Signature 07: BASERET_UNKNOWN

Problem Signature 08: –

Problem Signature 09: -2145091564

Problem Signature 10: WUSA

OS Version: 6.0.6001.2.1.0.274.10

Locale ID: 2057

Additional information about the problem:

LCID: 1033

Read our privacy statement:

http://go.microsoft.com/fwlink/?linkid=50163&clcid=0x0409

in log file dd_dotnexfx35error:

[06/25/08,21:26:21] Microsoft .NET Framework 2.0SP1 (x64) (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 2.0SP1 (x64) (CBS). MSI returned error code -2145091564

[06/25/08,21:26:46] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0SP1 (x64) (CBS) is not installed.

The server I am installing it on doesn’t have any version of .NET Framework installed so I am guessing that .NET Framework v3.5 beta requires v2.0 SP1 to be installed beforehand. So I went ahead and installed .NET Framework v3.5 which is he latest release.

After installing .NET Framework v3.5 the installation of .Net Framework v3.5 SP1 (Beta) installed successfully

Screenshot - 25_06_2008 , 22_03_47

Be Sociable, Share!